unit BrowseU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, OleCtrls, SHDocVw_TLB;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    ChooseURL1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure ChooseURL1Click(Sender: TObject);
  private
    Browser: TWebBrowser;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  V: OleVariant;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Browser := TWebBrowser.Create(Self);
  Browser.Align := alClient;
  TOleControl(Browser).Parent := Self;
  Browser.HandleNeeded;
  Browser.Navigate('www.itecuk.com', V, V, V, V);
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    Browser.Navigate(OpenDialog1.FileName, V, V, V, V)
end;

procedure TForm1.ChooseURL1Click(Sender: TObject);
begin
  Browser.Navigate(
    InputBox('Choose a Web page',
             'Enter a URL:',
             'www.itecuk.com'),
    V, V, V, V)
end;

end.
