unit NiceU;

interface

uses
  WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  S: Single;
begin
  { Assign an integer to a floating point variable }
  { implicitly typecasts the integer into a real }
  S := DiskFree(0);
  ShowMessage(Format('%.0n bytes', [S]))
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  { Multiplying an integer by a real }
  { number produces a real number }
  ShowMessage(Format('%.0n bytes', [DiskFree(0) * 1.0]))
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  { Or, translate the integer to a }
  { string and then to a real number }
  ShowMessage(Format('%.0n bytes', [StrToFloat(IntToStr(DiskFree(0)))]))
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ShowMessage(FormatFloat('#,##0 bytes', DiskFree(0)))
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  ShowMessage(FloatToStrF(DiskFree(0), ffNumber, 10, 0) + ' bytes')
end;

end.